Groovy Documentation

## org.codehaus.groovy.grails.plugins.web.filters
[Groovy] Class DefaultGrailsFiltersClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.plugins.web.filters.DefaultGrailsFiltersClass

    class DefaultGrailsFiltersClass
    extends AbstractInjectableGrailsClass

Loads filter definitions into a set of FilterConfig instances.

Authors:
  mike
  Graeme Rocher

Property Summary
`static java.lang.Object` | `FILTERS`

Constructor Summary
`DefaultGrailsFiltersClass(java.lang.Class aClass)`

Method Summary
`java.util.List` | `getConfigs(java.lang.Object filters)`
`groovy.lang.MetaClass` | `getMetaClass()`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass

getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Property Detail

### FILTERS

    static java.lang.Object FILTERS

Constructor Detail

### DefaultGrailsFiltersClass

    DefaultGrailsFiltersClass(java.lang.Class aClass)

Method Detail

### getConfigs

    java.util.List getConfigs(java.lang.Object filters)

### getMetaClass

    @Override
    groovy.lang.MetaClass getMetaClass()

Groovy Documentation